<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: enhanced_articles_panel.php
| CVS Version: 1.02
| Author: HobbyMan
| Web: http://www.php-fusion.hobbysites.net/
+--------------------------------------------------------+
| jQuery coding from Digitanium's Enhanced User Panel
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."enhanced_articles_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."enhanced_articles_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."enhanced_articles_panel/locale/English.php";
}

// Set number of articles to display
$limit = "10";

if (!file_exists(INFUSIONS."enhanced_user_info_panel/eui.js")) {
add_to_head("<script type='text/javascript' src='".INFUSIONS."enhanced_articles_panel/eap.js'></script>");
} else {
add_to_head("<script type='text/javascript' src='".INFUSIONS."enhanced_user_info_panel/eui.js'></script>");}

openside($locale['eap_100']);

// Latest Articles
$result = dbquery(
	"SELECT ta.article_id, ta.article_subject, tac.article_cat_id, tac.article_cat_access FROM ".DB_ARTICLES." ta
	INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id
	".(iSUPERADMIN ? "" : "WHERE ".groupaccess('article_cat_access'))." AND article_draft='0' ORDER BY article_datestamp DESC LIMIT 0,$limit");

	echo "<div class='side-label eui_master_head' style='margin-bottom:1px' title='".$locale['eap_101']."'>".$locale['eap_101']."</div>\n";
	echo "<div class='eui_master_body' style='margin-bottom:3px'>\n";
if (dbrows($result)) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['article_subject'], 23);
		echo THEME_BULLET." <a href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."' class='side'>$itemsubject</a><br />\n";
	} 
echo "</div>\n";
} else {
	echo "<div style='text-align:center'>".$locale['eap_200']."</div>\n";
}


// Articles by views
$result = dbquery(
	"SELECT ta.article_id, ta.article_subject, ta.article_reads, tac.article_cat_id, tac.article_cat_access FROM ".DB_ARTICLES." ta
	INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id
	".(iSUPERADMIN ? "" : "WHERE ".groupaccess('article_cat_access'))." AND article_draft='0' ORDER BY article_reads DESC LIMIT 0,$limit");

	echo "<div class='side-label eui_head' style='margin-bottom:1px' title='".$locale['eap_102']."'>".$locale['eap_102']."</div>\n";
	echo "<div class='eui_body' style='margin-bottom:3px'>\n";
if (dbrows($result)) {
	while($data = dbarray($result)) {
	    $title = ($locale['eap_104'].$data['article_reads'].$locale['eap_105']);
		$itemsubject = trimlink($data['article_subject'], 23);
		echo THEME_BULLET." <a href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$title."' class='side'>$itemsubject</a><br />\n";
	} 
echo "</div>\n";
} else {
	echo "<div style='text-align:center'>".$locale['eap_200']."</div>\n";
}


// Latest Article Comments
$result = dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_type='A' ORDER BY comment_datestamp DESC LIMIT 0,$limit");

	echo "<div class='side-label eui_head' style='margin-bottom:1px' title='".$locale['eap_103']."'>".$locale['eap_103']."</div>\n";
	echo "<div class='eui_body' style='margin-bottom:3px'>\n";
	if (dbrows($result) != 0) {
while ($data = dbarray($result)) {
   echo THEME_BULLET." <a href='".BASEDIR."articles.php?article_id=".$data['comment_item_id']."' title='".trimlink($data['comment_message'], 100)."' class='side'>".trimlink($data['comment_message'], 20)."</a><br />";
}
echo "</div>\n";
} else {
		echo "<div style='text-align:center' class='small'>".$locale['eap_200']."</div>\n";
		}

closeside();
?>